require 'rspec'
require 'coveralls'
require 'simplecov'
require 'rspec/its'

require RUBY_VERSION =~ /2/ ? 'pry-byebug' : 'pry-debugger'

SimpleCov.formatter = SimpleCov::Formatter::MultiFormatter[
    SimpleCov::Formatter::HTMLFormatter,
    Coveralls::SimpleCov::Formatter
]
SimpleCov.start

Coveralls.wear! if Coveralls.will_run?

Dir['./spec/shared/**/*.rb'].sort.each { |f| require f }

RSpec.configure do |config|
  config.color = true
  config.filter_run focus: true
  config.run_all_when_everything_filtered = true
  config.expect_with :rspec do |expectations|
    expectations.include_chain_clauses_in_custom_matcher_descriptions = true
  end
end

require 'pad'
require 'attribute_matcher'
require 'delegate_matcher'
